edu.cmu.pslc.logging.element

## Class LevelElement

- java.lang.Object
- - edu.cmu.pslc.logging.element.LevelElement

-     public class LevelElement
      extends java.lang.Object

  LevelElement.
  Version:
    $Revision: 8633 $
    Last modified by: $Author: alida $
    Last modified on: $Date: 2013-02-01 10:09:57 -0500 (Fri, 01 Feb 2013) $
  Author:
    Alida Skogsholm

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LevelElement(java.lang.String name, LevelElement levelElement)` Constructor.
    `LevelElement(java.lang.String name, ProblemElement problemElement)` Constructor.
    `LevelElement(java.lang.String type, java.lang.String name, LevelElement levelElement)` Constructor.
    `LevelElement(java.lang.String type, java.lang.String name, ProblemElement problemElement)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `LevelElement` | `getLevelElement()` Gets levelElement.
    `java.lang.String` | `getName()` Gets name.
    `ProblemElement` | `getProblemElement()` Gets problemElement.
    `java.lang.String` | `getType()` Gets type.
    `java.lang.String` | `toString()` Returns the xml version of the object.
    `java.lang.String` | `toString(java.lang.String tabs)` Returns the xml version of the object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### LevelElement

          public LevelElement(java.lang.String type,
                      java.lang.String name,
                      ProblemElement problemElement)

      Constructor.
      Parameters:
        `type` - type
        `name` - name
        `problemElement` - problemElement

    - #### LevelElement

          public LevelElement(java.lang.String type,
                      java.lang.String name,
                      LevelElement levelElement)

      Constructor.
      Parameters:
        `type` - type
        `name` - name
        `levelElement` - levelElement

    - #### LevelElement

          public LevelElement(java.lang.String name,
                      ProblemElement problemElement)

      Constructor.
      Parameters:
        `name` - name
        `problemElement` - problemElement

    - #### LevelElement

          public LevelElement(java.lang.String name,
                      LevelElement levelElement)

      Constructor.
      Parameters:
        `name` - name
        `levelElement` - levelElement

  - ### Method Detail

    - #### getType

          public java.lang.String getType()

      Gets type.
      Returns:
        type

    - #### getName

          public java.lang.String getName()

      Gets name.
      Returns:
        name

    - #### getLevelElement

          public LevelElement getLevelElement()

      Gets levelElement.
      Returns:
        levelElement

    - #### getProblemElement

          public ProblemElement getProblemElement()

      Gets problemElement.
      Returns:
        problemElement

    - #### toString

          public java.lang.String toString()

      Returns the xml version of the object.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        xml version of the object

    - #### toString

          public java.lang.String toString(java.lang.String tabs)

      Returns the xml version of the object.
      Parameters:
        `tabs` - tabs
      Returns:
        xml version of the object

Copyright (c) 2015 - Pittsburgh Science of Learning Center